## prometheus-postfix-exporter 0.12.1

=== Makefile ===
LDFLAGS = -ldflags "-s -w"
BINDIR = $(shell pwd)/bin
YQ = $(BINDIR)/yq

.PHONY: libsystemd-dev
libsystemd-dev:
	@dpkg -s $@ >/dev/null 2>&1 || sudo apt-get update && sudo apt-get install -y --no-install-recommends $@

.PHONY: gcc-aarch64-linux-gnu
gcc-aarch64-linux-gnu:
	@dpkg -s $@ >/dev/null 2>&1 || sudo apt-get update && sudo apt-get install -y $@

.PHONY: test
test: libsystemd-dev
	go test -coverprofile cover.out -count=1 -race -p 4 -v ./...

.PHONY: lint
lint: libsystemd-dev
	if [ -z "$(shell which pre-commit)" ]; then pip3 install pre-commit; fi
	pre-commit install
	pre-commit run --all-files

.PHONY: build
build: libsystemd-dev
	go build $(LDFLAGS) .

$(BINDIR):
	mkdir -p $(BINDIR)

CONTAINER_STRUCTURE_TEST = $(BINDIR)/container-structure-test
.PHONY: $(CONTAINER_STRUCTURE_TEST)
$(CONTAINER_STRUCTURE_TEST): $(BINDIR)
	curl -sSLf -o $(CONTAINER_STRUCTURE_TEST) https://github.com/GoogleContainerTools/container-structure-test/releases/latest/download/container-structure-test-linux-amd64 && chmod +x $(CONTAINER_STRUCTURE_TEST)

.PHONY: container-structure-test
container-structure-test: $(CONTAINER_STRUCTURE_TEST) $(YQ)
	$(YQ) '.builds[] | select(.id == "default") | .goarch[]' .goreleaser.yml | xargs -I {} $(CONTAINER_STRUCTURE_TEST) test --image ghcr.io/hsn723/postfix_exporter:$(shell git describe --tags --abbrev=0 --match "v*" || echo v0.0.0)-next-{} --platform linux/{} --config cst.yaml

.PHONY: $(YQ)
$(YQ): $(BINDIR)
	GOBIN=$(BINDIR) go install github.com/mikefarah/yq/v4@latest

## prometheus-postfix-exporter 0.1.2

=== debian/changelog ===
prometheus-postfix-exporter (0.1.2-2) unstable; urgency=medium

  * Team upload.

  [ Daniel Swarbrick ]
  * Add manpage link to systemd service

  [ Martín Ferrari ]
  * Run wrap-and-sort -ta.
  * Create prometheus user.
  * Add rsyslog configution snippet for a dedicated log file.
  * Use the file log instead of systemd journal.
  * Run as user prometheus instead of postfix.
  * Add support for SysV init. Closes: #921351.
  * Add custom python script to support additional groups.

 -- Martín Ferrari <tincho@debian.org>  Mon, 11 Feb 2019 00:05:35 +0000

prometheus-postfix-exporter (0.1.2-1) unstable; urgency=medium

  * Initial release. Closes: #920262.

 -- Daniel Swarbrick <daniel.swarbrick@cloud.ionos.com>  Wed, 23 Jan 2019 11:57:06 +0100

=== debian/control ===
Source: prometheus-postfix-exporter
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Daniel Swarbrick <daniel.swarbrick@cloud.ionos.com>,
Section: net
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper (>= 11),
               dh-golang,
               golang-github-coreos-go-systemd-dev,
               golang-github-prometheus-client-golang-dev,
               golang-go,
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/prometheus-postfix-exporter
Vcs-Git: https://salsa.debian.org/go-team/packages/prometheus-postfix-exporter.git
Homepage: https://github.com/kumina/postfix_exporter
XS-Go-Import-Path: github.com/kumina/postfix_exporter

Package: prometheus-postfix-exporter
Architecture: any
Depends: daemon | systemd-sysv,
         postfix,
         python,
         rsyslog | system-log-daemon,
         ${misc:Depends},
         ${shlibs:Depends},
Built-Using: ${misc:Built-Using},
Description: Prometheus exporter for Postfix mail servers
 Prometheus exporter which scrapes the systemd journal of Postfix MTA daemons
 to expose various metrics such as SMTP connection counts, message delivery
 statuses / delays etc. This exporter has a slight advantage over the mtail
 log parser approach, since it also connects to the Postfix admin Unix socket
 to expose metrics about messages currently in the queue.

## prometheus-postfix-exporter 0.2.0

=== debian/changelog ===
prometheus-postfix-exporter (0.2.0-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 11 to 12.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Anthony Fok ]
  * Change dependency on golang-gopkg-alecthomas-kingpin.v3-dev
    to golang-gopkg-alecthomas-kingpin.v2-dev (>= 2.2.6-2~)
    as per https://github.com/kumina/postfix_exporter/blob/master/go.mod
    which, incidentally, fixes FTBFS due to github.com/nicksnyder/go-i18n
    version mismatch.  (Closes: #973100)
  * Bump debhelper dependency to "Build-Depends: debhelper-compat (= 13)"
  * Change Build-Depends: golang-go to golang-any
    to allow build on more architectures
  * Bump Standards-Version to 4.5.0 (no change)
  * Add "Rules-Requires-Root: no" to debian/control
  * Update Maintainer email address to team+pkg-go@tracker.debian.org
  * Add myself to the list of Uploaders
  * debian/gbp.conf: Set debian-branch to debian/sid
    for conformance with Debian Go Packaging Team’s convention

 -- Anthony Fok <foka@debian.org>  Thu, 29 Oct 2020 14:06:50 -0600

prometheus-postfix-exporter (0.2.0-2) unstable; urgency=medium

  * Update chuser helper to python3, and fix bug in it. Closes: #945692.
  * Add myself to Uploaders.
  * Automated cme fixes.

 -- Martina Ferrari <tincho@debian.org>  Fri, 27 Dec 2019 12:39:36 +0000

prometheus-postfix-exporter (0.2.0-1) unstable; urgency=medium

  [ Yuval Freund ]
  * Start service after postfix. This service must start after postfix,
    since it's talking to a socket created by this service.

  [ Martina Ferrari ]
  * Merge git histories that had diverged by mistake, losing changes in the NMU
    upload.
  * Use space as separator in SupplementaryGroups.
    (Really) closes: #922986
  * Refresh & renumber patches.
  * Leave it to service file to pass systemd-specific parameters.
  * Add patch to adjust to API changes in the client_golang library.
  * Init script fixes.
  * Handle the postfix logfile location separately in sysv initscript.

 -- Martina Ferrari <tincho@debian.org>  Thu, 31 Oct 2019 14:35:31 +0000

prometheus-postfix-exporter (0.2.0-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream version (Closes: #922986)

 -- Antoine Beaupré <anarcat@debian.org>  Fri, 05 Apr 2019 15:47:45 -0400

=== debian/control ===
--- 
+++ 
@@ -1,25 +1,30 @@
 Source: prometheus-postfix-exporter
-Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Daniel Swarbrick <daniel.swarbrick@cloud.ionos.com>,
+           Martina Ferrari <tincho@debian.org>,
+           Anthony Fok <foka@debian.org>,
 Section: net
 Testsuite: autopkgtest-pkg-go
 Priority: optional
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 13),
                dh-golang,
+               golang-any,
                golang-github-coreos-go-systemd-dev,
+               golang-github-influxdata-tail-dev,
                golang-github-prometheus-client-golang-dev,
-               golang-go,
-Standards-Version: 4.3.0
+               golang-gopkg-alecthomas-kingpin.v2-dev (>= 2.2.6-2~),
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/go-team/packages/prometheus-postfix-exporter
 Vcs-Git: https://salsa.debian.org/go-team/packages/prometheus-postfix-exporter.git
 Homepage: https://github.com/kumina/postfix_exporter
+Rules-Requires-Root: no
 XS-Go-Import-Path: github.com/kumina/postfix_exporter
 
 Package: prometheus-postfix-exporter
 Architecture: any
 Depends: daemon | systemd-sysv,
          postfix,
-         python,
+         python3,
          rsyslog | system-log-daemon,
          ${misc:Depends},
          ${shlibs:Depends},

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/pkg-info.mk

BINNAME := $(DEB_SOURCE)
BUILDDIR := $(CURDIR)/build

%:
	dh $@ --buildsystem=golang --with=golang --builddirectory=$(BUILDDIR)

override_dh_auto_build:
	dh_auto_build
	# Rename the binary to match the debian package.
	mv -v $(BUILDDIR)/bin/postfix_exporter $(BUILDDIR)/bin/$(BINNAME)

override_dh_auto_install:
	dh_auto_install -- --no-source
	install -m644 debian/rsyslog.conf \
            debian/$(BINNAME)/etc/rsyslog.d/$(BINNAME).conf

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/postfix_exporter-$1\.tar\.gz/ \
  https://github.com/kumina/postfix_exporter/tags .*/v?(\d\S+)\.tar\.gz

## prometheus-postfix-exporter 0.3.0

=== debian/changelog ===
prometheus-postfix-exporter (0.3.0-4ubuntu0.24.04.3) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Mon, 21 Jul 2025 11:06:24 +1000

prometheus-postfix-exporter (0.3.0-4ubuntu0.24.04.2) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Fri, 08 Nov 2024 13:25:06 +1000

prometheus-postfix-exporter (0.3.0-4ubuntu0.24.04.1) noble-security; urgency=medium

  * No change rebuild due to golang-1.21 update

 -- Nishit Majithia <nishit.majithia@canonical.com>  Fri, 12 Jul 2024 11:22:45 +0530

prometheus-postfix-exporter (0.3.0-4build1) mantic; urgency=medium

  * No-change rebuild with Go 1.21.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 24 Aug 2023 17:17:46 +1200

prometheus-postfix-exporter (0.3.0-4) unstable; urgency=medium

  * Team upload
  * Add missing Build-Depends
    + golang-github-coreos-go-systemd-dev
    + golang-github-stretchr-testify-dev

 -- Shengjing Zhu <zhsj@debian.org>  Thu, 23 Feb 2023 15:01:24 +0800

prometheus-postfix-exporter (0.3.0-3) unstable; urgency=medium

  * d/dirs: add missing var/lib/prometheus

 -- Daniel Swarbrick <dswarbrick@debian.org>  Sat, 11 Feb 2023 11:05:47 +0000

prometheus-postfix-exporter (0.3.0-2) unstable; urgency=medium

  [ Daniel Swarbrick ]
  * Bump Standards-Version to 4.6.2 (no changes)
  * Disable systemd journal support until fixed upstream
  * Stop using private mail.log, use default /var/log/mail.log instead
  * Add preinst upgrade handler to clean up legacy private mail.log
  * Sync postinst, postrm script style with that of other similar exporters
  * Use /run/prometheus instead of /var/run/prometheus for pid directory
  * Generate manpage from --help-man, rather than static (and outdated) one

  [ Guillem Jover ]
  * Add value quoting information in default file comment header
  * Remove --help output from default file

  [ Martina Ferrari ]
  * Update my name and email address

 -- Daniel Swarbrick <dswarbrick@debian.org>  Sat, 11 Feb 2023 02:09:21 +0000

prometheus-postfix-exporter (0.3.0-1) unstable; urgency=medium

  [ Aloïs Micard ]
  * Update debian/gitlab-ci.yml (using pkg-go-tools/ci-config)

  [ Daniel Swarbrick ]
  * New upstream release
  * Replace golang-github-influxdata-tail-dev build-dep with
    golang-github-nxadm-tail-dev
  * Add new golang-github-docker-docker-dev build-dep
  * Add missing golang-github-prometheus-client-model-dev build-dep
  * Refresh patches
    - rewrite 01-Defaults.patch
    - drop obsolete 02-Switch_to_influxdata-tail_package.patch
    - drop obsoelte 03-New_client_golang_compat.patch
  * Use dh-sequence-golang instead of dh-golang and --with=golang
  * Bump Standards-Version to 4.6.0 (no changes)
  * Add Pre-Depends: ${misc:Pre-Depends} to squash lintian warning

  [ Guillem Jover ]
  * Refactor debian/watch

 -- Daniel Swarbrick <dswarbrick@debian.org>  Sun, 05 Dec 2021 15:51:13 +0000

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,23 @@
 Source: prometheus-postfix-exporter
-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
-Uploaders: Daniel Swarbrick <daniel.swarbrick@cloud.ionos.com>,
-           Martina Ferrari <tincho@debian.org>,
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Uploaders: Daniel Swarbrick <dswarbrick@debian.org>,
+           Martina Ferrari <tina@debian.org>,
            Anthony Fok <foka@debian.org>,
 Section: net
 Testsuite: autopkgtest-pkg-go
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               dh-golang,
+               dh-sequence-golang,
                golang-any,
                golang-github-coreos-go-systemd-dev,
-               golang-github-influxdata-tail-dev,
+               golang-github-docker-docker-dev,
+               golang-github-nxadm-tail-dev,
                golang-github-prometheus-client-golang-dev,
+               golang-github-prometheus-client-model-dev,
+               golang-github-stretchr-testify-dev,
                golang-gopkg-alecthomas-kingpin.v2-dev (>= 2.2.6-2~),
-Standards-Version: 4.5.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/go-team/packages/prometheus-postfix-exporter
 Vcs-Git: https://salsa.debian.org/go-team/packages/prometheus-postfix-exporter.git
 Homepage: https://github.com/kumina/postfix_exporter
@@ -22,10 +26,12 @@
 
 Package: prometheus-postfix-exporter
 Architecture: any
-Depends: daemon | systemd-sysv,
+Pre-Depends: ${misc:Pre-Depends},
+Depends: adduser,
+         daemon | systemd-sysv,
          postfix,
          python3,
-         rsyslog | system-log-daemon,
+         rsyslog,
          ${misc:Depends},
          ${shlibs:Depends},
 Built-Using: ${misc:Built-Using},

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/pkg-info.mk

BUILDDIR := $(CURDIR)/build

BINNAME := $(DEB_SOURCE)
WHATIS := "$(BINNAME) \\- Prometheus exporter for Postfix metrics"

%:
	dh $@ --buildsystem=golang --builddirectory=$(BUILDDIR)

override_dh_auto_build:
	dh_auto_build -- -tags nosystemd
	# Rename the binary to match the debian package.
	mv -v $(BUILDDIR)/bin/postfix_exporter $(BUILDDIR)/bin/$(BINNAME)
	$(BUILDDIR)/bin/$(BINNAME) --help-man > $(BUILDDIR)/$(BINNAME).1
	# Remove build user/build date/go version headers, which is ugly.
	sed -i -e '/^  /d' $(BUILDDIR)/$(BINNAME).1
	# Fix whatis entry.
	sed -i '/^.SH "NAME"/,+1c.SH "NAME"\n'$(WHATIS) $(BUILDDIR)/$(BINNAME).1
	# Remove default values as they create unwieldy long lines.
	sed -i 's/\\fB--\(.*\)=".*"\\fR/\\fB--\1\\fR/' $(BUILDDIR)/$(BINNAME).1

override_dh_auto_install:
	dh_auto_install -- --no-source

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/,\
      dversionmangle=s/\+ds\d*$//,repacksuffix=+ds1" \
  https://github.com/kumina/postfix_exporter/tags .*/v?(\d\S+)\.tar\.gz

## prometheus-postfix-exporter 0.12.1

=== debian/changelog ===
prometheus-postfix-exporter (0.12.1-1) unstable; urgency=medium

  * New upstream release (fork)
  * Update upstream URLs to github.com/hsn723/postfix_exporter
  * Update copyright attribution
  * Refresh packaging according to latest dh-make-golang template
  * Bump Standards-Version to 4.7.2 (no changes)
  * Drop obsolete 0002-Support-docker-v25.patch
  * Add new Build-Depends:
    - golang-github-coreos-go-systemd-dev
    - golang-github-prometheus-common-dev
    - golang-github-prometheus-exporter-toolkit-dev
  * Add new 0002-Revert-alecthomas-kingpin-import-path.patch
  * d/rules: include VERSION in DH_GOLANG_INSTALL_EXTRA
  * d/docs: remove obsolete CHANGELOG.md
  * Enable systemd journal support again
  * Drop obsolete 0001-Defaults.patch

 -- Daniel Swarbrick <dswarbrick@debian.org>  Thu, 21 Aug 2025 18:07:12 +0000

prometheus-postfix-exporter (0.3.0-5) unstable; urgency=medium

  [ Daniel Swarbrick ]
  * Migrate patches to gbp-pq format
  * Add new 0002-Support-docker-v25.patch (Closes: #1078307)
  * Bump Standards-Version to 4.7.0 (no changes)
  * Modernize debian/rules to produce more visually appealing man page

  [ Guillem Jover ]
  * Do not ship an empty /etc/rsyslog.d directory
  * Add system-log-daemon as an alternative dependency for rsyslog

  [ Martina Ferrari ]
  * Replace python3 script and dependency with setpriv call

  [ Shengjing Zhu ]
  * Add nosystemd tags to dh_auto_test to match dh_auto_build
  * Remove golang-github-coreos-go-systemd-dev from Build-Depends

 -- Daniel Swarbrick <dswarbrick@debian.org>  Tue, 13 Aug 2024 20:40:32 +0000

=== debian/control ===
Source: prometheus-postfix-exporter
Section: golang
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Daniel Swarbrick <dswarbrick@debian.org>,
           Martina Ferrari <tina@debian.org>,
           Anthony Fok <foka@debian.org>,
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-sequence-golang,
               golang-any,
               golang-github-coreos-go-systemd-dev,
               golang-github-docker-docker-dev (>= 25.0),
               golang-github-nxadm-tail-dev,
               golang-github-prometheus-client-golang-dev,
               golang-github-prometheus-client-model-dev,
               golang-github-prometheus-common-dev,
               golang-github-prometheus-exporter-toolkit-dev,
               golang-github-stretchr-testify-dev,
               golang-gopkg-alecthomas-kingpin.v2-dev (>= 2.2.6-2~),
Testsuite: autopkgtest-pkg-go
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/go-team/packages/prometheus-postfix-exporter
Vcs-Git: https://salsa.debian.org/go-team/packages/prometheus-postfix-exporter.git
Homepage: https://github.com/hsn723/postfix_exporter
XS-Go-Import-Path: github.com/hsn723/postfix_exporter

Package: prometheus-postfix-exporter
Section: net
Architecture: any
Pre-Depends: ${misc:Pre-Depends},
Depends: adduser,
         daemon | systemd-sysv,
         postfix,
         rsyslog | system-log-daemon,
         ${misc:Depends},
         ${shlibs:Depends},
Static-Built-Using: ${misc:Static-Built-Using}
Description: Prometheus exporter for Postfix mail servers
 Prometheus exporter which scrapes the log output of Postfix MTA daemons
 to expose various metrics such as SMTP connection counts, message delivery
 statuses / delays etc. This exporter has a slight advantage over the mtail
 log parser approach, since it also connects to the Postfix admin Unix socket
 to expose metrics about messages currently in the queue.

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/pkg-info.mk

# Uncomment this to enable verbose mode.
#export DH_VERBOSE = 1

export DH_GOLANG_INSTALL_EXTRA := VERSION

%:
	dh $@ --buildsystem=golang --builddirectory=_build

BINNAME := $(DEB_SOURCE)

override_dh_auto_build:
	dh_auto_build
	# Rename the binary to match the debian package.
	mv -v _build/bin/postfix_exporter _build/bin/$(BINNAME)

MAN_WHATIS := $(BINNAME) \\- Prometheus exporter for Postfix metrics
MAN_PROG := $(shell echo $(BINNAME) | tr [:lower:] [:upper:])
MAN_DATE := $(shell date --utc --date='@$(SOURCE_DATE_EPOCH)' '+%B %Y')

execute_before_dh_installman:
	_build/bin/$(BINNAME) --help-man > _build/$(BINNAME).1
	# Fix title header and footer.
	sed -i '/^.TH .*/c.TH $(MAN_PROG) "1" "$(MAN_DATE)" "$(DEB_SOURCE) $(DEB_VERSION_UPSTREAM)" "Prometheus"/' \
        _build/$(BINNAME).1
	# Remove build user/build date/go version headers, which is ugly.
	sed -i '/^  /d' _build/$(BINNAME).1
	# Fix whatis entry.
	sed -i '/^.SH "NAME"/,+1c.SH "NAME"\n$(MAN_WHATIS)' _build/$(BINNAME).1
	# Remove default values, as they create unwieldy long lines.
	sed -i 's/\\fB--\(.*\)=".*"\\fR/\\fB--\1\\fR/' _build/$(BINNAME).1

override_dh_auto_install:
	dh_auto_install -- --no-source

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/" \
  https://github.com/hsn723/postfix_exporter/tags .*/v?(\d\S*)\.tar\.gz debian

## prometheus-postfix-exporter 0.17.0

=== debian/changelog ===
prometheus-postfix-exporter (0.17.0-1) unstable; urgency=medium

  * New upstream release
  * Refresh patches
  * Disable (experimental) kubernetes log source

 -- Daniel Swarbrick <dswarbrick@debian.org>  Mon, 05 Jan 2026 12:42:16 +0000

## prometheus-postfix-exporter 0.18.0

=== debian/changelog ===
prometheus-postfix-exporter (0.18.0-1) unstable; urgency=medium

  * New upstream release
  * Refresh patches
  * Add new Build-Depends golang-gopkg-tomb.v1-dev
  * Enable systemd journal support by default (Closes: #1055326)
  * Add systemd-sysv as alternative to system-log-daemon to allow operation in
    a pure systemd-journald environment

 -- Daniel Swarbrick <dswarbrick@debian.org>  Mon, 12 Jan 2026 17:39:19 +0000

=== debian/control ===
--- 
+++ 
@@ -18,6 +18,7 @@
                golang-github-prometheus-exporter-toolkit-dev,
                golang-github-stretchr-testify-dev,
                golang-gopkg-alecthomas-kingpin.v2-dev (>= 2.2.6-2~),
+               golang-gopkg-tomb.v1-dev,
 Testsuite: autopkgtest-pkg-go
 Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/go-team/packages/prometheus-postfix-exporter
@@ -32,7 +33,7 @@
 Depends: adduser,
          daemon | systemd-sysv,
          postfix,
-         rsyslog | system-log-daemon,
+         rsyslog | systemd-sysv | system-log-daemon,
          ${misc:Depends},
          ${shlibs:Depends},
 Static-Built-Using: ${misc:Static-Built-Using}

=== debian/rules ===
--- 
+++ 
@@ -6,13 +6,16 @@
 
 export DH_GOLANG_INSTALL_EXTRA := VERSION
 
+BUILDTAGS := nokubernetes
+BUILDFLAGS = -tags "$(BUILDTAGS)"
+
 %:
 	dh $@ --buildsystem=golang --builddirectory=_build
 
 BINNAME := $(DEB_SOURCE)
 
 override_dh_auto_build:
-	dh_auto_build
+	dh_auto_build -- $(BUILDFLAGS)
 	# Rename the binary to match the debian package.
 	mv -v _build/bin/postfix_exporter _build/bin/$(BINNAME)

## prometheus-postfix-exporter 0.19.0

=== debian/changelog ===
prometheus-postfix-exporter (0.19.0-1) unstable; urgency=medium

  [ Daniel Swarbrick ]
  * Add closed bug reference to changelog

  [ Vincent Tondellier ]
  * New upstream release
  * Adapt build version for upstream changes. Inspired by other exporters

  [ Martina Ferrari ]
  * Bump Standards-Version to 4.7.3 (no changes)
  * Refresh patches
  * Remove redundant Rules-Requires-Root and Priority fields

 -- Martina Ferrari <tina@debian.org>  Thu, 26 Feb 2026 21:00:56 +0000

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,9 @@
 Source: prometheus-postfix-exporter
 Section: golang
-Priority: optional
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Daniel Swarbrick <dswarbrick@debian.org>,
            Martina Ferrari <tina@debian.org>,
            Anthony Fok <foka@debian.org>,
-Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-golang,
                golang-any,
@@ -20,7 +18,7 @@
                golang-gopkg-alecthomas-kingpin.v2-dev (>= 2.2.6-2~),
                golang-gopkg-tomb.v1-dev,
 Testsuite: autopkgtest-pkg-go
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/go-team/packages/prometheus-postfix-exporter
 Vcs-Git: https://salsa.debian.org/go-team/packages/prometheus-postfix-exporter.git
 Homepage: https://github.com/hsn723/postfix_exporter

=== debian/rules ===
--- 
+++ 
@@ -6,8 +6,25 @@
 
 export DH_GOLANG_INSTALL_EXTRA := VERSION
 
-BUILDTAGS := nokubernetes
-BUILDFLAGS = -tags "$(BUILDTAGS)"
+BUILDTAGS  := nokubernetes
+METAPKG    := github.com/prometheus/common
+BRANCH     := debian/sid
+USER       := team+pkg-go@tracker.debian.org
+BUILD_DATE := $(shell date --utc --date='@$(SOURCE_DATE_EPOCH)' +%Y%m%d-%H:%M:%S)
+GO_VERSION := $(shell go version | sed 's/go version \(\S*\).*/\1/')
+BUILDFLAGS  = \
+ -ldflags "\
+    -X $(METAPKG)/version.Version=$(DEB_VERSION_UPSTREAM)\
+    -X $(METAPKG)/version.Revision=$(DEB_VERSION)\
+    -X $(METAPKG)/version.Branch=$(BRANCH)\
+    -X $(METAPKG)/version.BuildUser=$(USER)\
+    -X $(METAPKG)/version.BuildDate=$(BUILD_DATE)\
+    -X $(METAPKG)/version.GoVersion=$(GO_VERSION)\
+    $(BUILDLDFLAGS)"
+
+ifneq (,$(BUILDTAGS))
+BUILDFLAGS += -tags "$(BUILDTAGS)"
+endif
 
 %:
 	dh $@ --buildsystem=golang --builddirectory=_build
